[arch-commits] Commit in spyder/repos/community-any (3 files)
Bruno Pagani
archange at archlinux.org
Thu Dec 24 14:39:06 UTC 2020
Date: Thursday, December 24, 2020 @ 14:39:05
Author: archange
Revision: 788173
archrelease: copy trunk to community-any
Added:
spyder/repos/community-any/PKGBUILD
(from rev 788172, spyder/trunk/PKGBUILD)
Deleted:
spyder/repos/community-any/PKGBUILD
spyder/repos/community-any/spyder3_to_spyder.patch
-------------------------+
PKGBUILD | 236 +++++++++++++++++++++++-----------------------
spyder3_to_spyder.patch | 43 --------
2 files changed, 118 insertions(+), 161 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2020-12-24 14:38:59 UTC (rev 788172)
+++ PKGBUILD 2020-12-24 14:39:05 UTC (rev 788173)
@@ -1,118 +0,0 @@
-# Maintainer: Muflone http://www.muflone.com/contacts/english/
-# Maintainer: Bruno Pagani <archange at archlinux.org>
-# Contributor: Francois Boulogne <fboulogne at april.org>
-# Contributor: TDY <tdy at gmx.com>
-
-pkgname=spyder
-pkgver=4.1.5
-pkgrel=3
-pkgdesc="The Scientific Python Development Environment"
-arch=(any)
-url="https://www.spyder-ide.org/"
-license=(MIT)
-makedepends=(python-setuptools python-sphinx)
-depends=(
- python-atomicwrites
- python-chardet
- python-cloudpickle
- python-diff-match-patch
- python-intervaltree
- ipython
- python-jedi
- python-keyring
- jupyter-nbconvert
- python-numpydoc
- python-parso
- python-pexpect
- python-pickleshare
- python-psutil
- python-pygments
- python-pylint
- python-pyqt5
- python-pyqtwebengine
- qt5-webkit
- python-language-server
- python-xdg
- python-pyzmq
- python-qdarkstyle
- python-qtawesome
- python-qtconsole
- python-qtpy
- python-sphinx
- python-spyder-kernels
- python-watchdog
-)
-optdepends=(
- 'cython: run Cython files in the IPython Console'
- 'python-matplotlib: 2D/3D plotting in the IPython Console'
- 'python-numpy: support for N-dimensional arrays in the Variable Explorer'
- 'python-pandas: support for DataFrames and Series in the Variable Explorer'
- 'python-scipy: support for Matlab workspace in the Variable Explorer'
- 'python-sympy: symbolic mathematics in the IPython Console'
-)
-checkdepends=(
- python-pytest
- python-pytest-qt
- python-pytest-mock
- python-pytest-cov
- python-pytest-xvfb
- python-pytest-ordering
- python-pytest-lazy-fixture
- python-mock
- python-flaky
- python-pandas
- python-scipy
- python-sympy
- python-pillow
- python-matplotlib
- cython
- git
- tk
-)
-source=(https://github.com/spyder-ide/${pkgname}/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz
- spyder3_to_spyder.patch)
-sha256sums=('98f24bd782e2c5d2fcd1033b433692e85dada9f095f86547ba66728e5a26a65f'
- '42b51d2696f06e4ad69be7379e913fd90e5c09c3e8244b6f38ef127ae86cfe89')
-
-prepare() {
- cd ${pkgname}-${pkgver}
- # Replace spyder3 with spyder
- patch -p1 -i ../spyder3_to_spyder.patch
- mv scripts/spyder{3,}.desktop
- mv scripts/spyder{3,}.appdata.xml
- # Allow our jedi/parso/pyls versions
- sed -i "s|JEDI_REQVER = '=0.17.1'|JEDI_REQVER = '>=0.17.1'|" -i spyder/dependencies.py
- sed -i "s|PARSO_REQVER = '=0.7.0'|PARSO_REQVER = '>=0.7.0'|" -i spyder/dependencies.py
- sed -i "s|PYLS_REQVER = '>=0.34.0;<1.0.0'|PYLS_REQVER = '>=0.34.0'|" -i spyder/dependencies.py
-}
-
-build() {
- cd ${pkgname}-${pkgver}
- python setup.py build
-}
-
-check() {
- cd ${pkgname}-${pkgver}
- # Required per above patching
- sed -i "s|jedi==0.17.1|jedi>=0.17.0|" -i setup.py
- sed -i "s|parso==0.7.0|parso>=0.7.0|" -i setup.py
- sed -i "s|python-language-server[all]>=0.34.0,<1.0.0|python-language-server[all]>=0.34.0|" -i setup.py
- sed -i "s|jedi =0.17.1|jedi >=0.17.0|" -i requirements/conda.txt
- sed -i "s|parso =0.7.0|parso >=0.7.0|" -i requirements/conda.txt
- sed -i "s|jedi =0.17.1|jedi >=0.17.0|" -i binder/environment.yml
- sed -i "s|parso =0.7.0|parso >=0.7.0|" -i binder/environment.yml
- sed -i "s|python-language-server >=0.34.0,<1.0.0|python-language-server >=0.34.0|" -i binder/environment.yml
- # Some tests failures but upstream does not support us
- python runtests.py || echo "Tests failed"
-}
-
-package() {
- cd ${pkgname}-${pkgver}
- python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
- # Install license file
- install -Dm644 LICENSE.txt -t ${pkgdir}/usr/share/licenses/${pkgname}/
- # Install icon file
- install -Dm644 spyder/images/spyder.svg -t "${pkgdir}"/usr/share/icons/hicolor/scalable/apps/
- # Remove useless spyder_win_post_install script
- rm -f "${pkgdir}"/usr/bin/spyder_win_post_install.py
-}
Copied: spyder/repos/community-any/PKGBUILD (from rev 788172, spyder/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2020-12-24 14:39:05 UTC (rev 788173)
@@ -0,0 +1,118 @@
+# Maintainer: Muflone http://www.muflone.com/contacts/english/
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Contributor: Francois Boulogne <fboulogne at april.org>
+# Contributor: TDY <tdy at gmx.com>
+
+pkgname=spyder
+pkgver=4.2.1
+pkgrel=1
+pkgdesc="The Scientific Python Development Environment"
+arch=(any)
+url="https://www.spyder-ide.org/"
+license=(MIT)
+makedepends=(python-sphinx)
+depends=(
+ python-atomicwrites
+ python-chardet
+ python-cloudpickle
+ python-diff-match-patch
+ python-intervaltree
+ ipython
+ python-jedi
+ python-jsonschema
+ python-keyring
+ jupyter-nbconvert
+ python-numpydoc
+ python-parso
+ python-pexpect
+ python-pickleshare
+ python-psutil
+ python-pygments
+ python-pylint
+ python-pyqt5
+ python-pyqtwebengine
+ qt5-webkit
+ python-language-server
+ python-pyls-black
+ python-pyls-spyder
+ python-xdg
+ python-pyzmq
+ python-qdarkstyle
+ python-qtawesome
+ python-qtconsole
+ python-qtpy
+ python-setuptools
+ python-sphinx
+ python-spyder-kernels
+ python-textdistance
+ python-three-merge
+ python-watchdog
+)
+optdepends=(
+ 'cython: run Cython files in the IPython Console'
+ 'python-matplotlib: 2D/3D plotting in the IPython Console'
+ 'python-numpy: support for N-dimensional arrays in the Variable Explorer'
+ 'python-pandas: support for DataFrames and Series in the Variable Explorer'
+ 'python-scipy: support for Matlab workspace in the Variable Explorer'
+ 'python-sympy: symbolic mathematics in the IPython Console'
+)
+checkdepends=(
+ python-pytest
+ python-pytest-qt
+ python-pytest-mock
+ python-pytest-cov
+ python-pytest-xvfb
+ python-pytest-ordering
+ python-pytest-lazy-fixture
+ python-mock
+ python-flaky
+ python-pandas
+ python-scipy
+ python-sympy
+ python-pillow
+ python-matplotlib
+ cython
+ git
+ tk
+)
+source=(https://github.com/spyder-ide/${pkgname}/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz)
+sha256sums=('0231a3b0ba0530817e53b5162ce0c3db8c98f071a0e4d4b6027721bf32039e2b')
+
+prepare() {
+ cd ${pkgname}-${pkgver}
+ # Allow our jedi/parso/pyls versions
+ sed -i "s|JEDI_REQVER = '=|JEDI_REQVER = '>=|" -i spyder/dependencies.py
+ sed -i "s|PARSO_REQVER = '=|PARSO_REQVER = '>=|" -i spyder/dependencies.py
+ sed -i "s|PYLS_REQVER = '>=0.36.2;<1.0.0'|PYLS_REQVER = '>=0.36.2'|" -i spyder/dependencies.py
+}
+
+build() {
+ cd ${pkgname}-${pkgver}
+ python setup.py build
+}
+
+check() {
+ cd ${pkgname}-${pkgver}
+ # Required per above patching
+ sed -i "s|jedi==|jedi>=|" -i setup.py
+ sed -i "s|parso==|parso>=|" -i setup.py
+ sed -i "s|python-language-server[all]>=0.36.2,<1.0.0|python-language-server[all]>=0.36.2|" -i setup.py
+ sed -i "s|jedi =|jedi >=|" -i requirements/conda.txt
+ sed -i "s|parso =|parso >=|" -i requirements/conda.txt
+ sed -i "s|jedi =|jedi >=|" -i binder/environment.yml
+ sed -i "s|parso =|parso >=|" -i binder/environment.yml
+ sed -i "s|python-language-server >=0.36.2,<1.0.0|python-language-server >=0.36.2|" -i binder/environment.yml
+ # Some tests failures but upstream does not support us
+ python runtests.py || echo "Tests failed"
+}
+
+package() {
+ cd ${pkgname}-${pkgver}
+ python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
+ # Install license file
+ install -Dm644 LICENSE.txt -t ${pkgdir}/usr/share/licenses/${pkgname}/
+ # Install icon file
+ install -Dm644 spyder/images/spyder.svg -t "${pkgdir}"/usr/share/icons/hicolor/scalable/apps/
+ # Remove useless spyder_win_post_install script
+ rm -f "${pkgdir}"/usr/bin/spyder_win_post_install.py
+}
Deleted: spyder3_to_spyder.patch
===================================================================
--- spyder3_to_spyder.patch 2020-12-24 14:38:59 UTC (rev 788172)
+++ spyder3_to_spyder.patch 2020-12-24 14:39:05 UTC (rev 788173)
@@ -1,43 +0,0 @@
---- a/scripts/spyder3.desktop
-+++ b/scripts/spyder3.desktop
-@@ -1,12 +1,11 @@
- [Desktop Entry]
- Type=Application
- Version=1.0
--Name=Spyder3
--GenericName=Spyder3
-+Name=Spyder
- Comment=The Scientific Python Development Environment - Python 3
--Icon=spyder3
--TryExec=spyder3
--Exec=spyder3 %F
-+Icon=spyder
-+TryExec=spyder
-+Exec=spyder %F
- Terminal=false
- MimeType=text/x-python;
- Categories=Development;Science;IDE;Qt;
---- a/setup.py
-+++ b/setup.py
-@@ -88,9 +88,9 @@
- """Return data_files in a platform dependent manner"""
- if sys.platform.startswith('linux'):
- if PY3:
-- data_files = [('share/applications', ['scripts/spyder3.desktop']),
-- ('share/icons', ['img_src/spyder3.png']),
-- ('share/metainfo', ['scripts/spyder3.appdata.xml'])]
-+ data_files = [('share/applications', ['scripts/spyder.desktop']),
-+ ('share/icons', ['img_src/spyder.png']),
-+ ('share/metainfo', ['scripts/spyder.appdata.xml'])]
- else:
- data_files = [('share/applications', ['scripts/spyder.desktop']),
- ('share/icons', ['img_src/spyder.png'])]
-@@ -131,7 +131,7 @@
- # See spyder-ide/spyder#1158.
- SCRIPTS = ['%s_win_post_install.py' % NAME]
- if PY3 and sys.platform.startswith('linux'):
-- SCRIPTS.append('spyder3')
-+ SCRIPTS.append('spyder')
- else:
- SCRIPTS.append('spyder')
-
More information about the arch-commits
mailing list